<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2008 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
		xmlns:settings="http://schemas.android.com/apk/res/com.android.settings">

    <PreferenceCategory
        android:key="sim_info"
        android:title="@string/gemini_sim_info_title">
    </PreferenceCategory>

    <PreferenceCategory
        android:key="default_sim"
        android:title="@string/gemini_default_sim_title">
        <com.android.settings.gemini.DefaultSimPreference
            style="@*android:style/Preference.Holo"
    		android:key="voice_call_sim_setting"
    		android:title="@string/gemini_voice_call"
    		android:icon="@drawable/gemini_voice_call"/>   
    	
         <com.android.settings.gemini.DefaultSimPreference
            style="@*android:style/Preference.Holo"
    		android:key="video_call_sim_setting"
    		android:title="@string/gemini_video_call"
    		android:icon="@drawable/gemini_video_call"/>   

    	
    	 <com.android.settings.gemini.DefaultSimPreference
    	     style="@*android:style/Preference.Holo"
    		android:key="sms_sim_setting"
    		android:title="@string/gemini_msg"
    		android:icon="@drawable/gemini_sms"/>
    	
    	<com.android.settings.gemini.DefaultSimPreference
    		style="@*android:style/Preference.Holo"
    		android:key="gprs_sim_setting"
    		android:title="@string/gemini_data_connection"
    		android:icon="@drawable/gemini_data_connection"/>     

    </PreferenceCategory>
    
    <PreferenceCategory
        android:key="general_settings"
        android:title="@string/gemini_general_settings_title">

        <PreferenceScreen
            android:key="roaming_settings"
            android:title="@string/gemini_roaming_settings_title"
            android:fragment="com.android.settings.gemini.SimRoamingSettings">
      </PreferenceScreen>
      
      <PreferenceScreen
            android:key="wap_push_settings"
            android:title="@string/gemini_wap_push_permission"
            android:fragment="com.android.settings.gemini.WapPushSettings"/>
 
       
      <PreferenceScreen
            android:key="3g_service_settings"
            android:title="@string/gemini_3g_service_settings">
            <intent
            		android:action="android.intent.action.MAIN"
            		android:targetPackage="com.android.phone"
            		android:targetClass="com.android.phone.Modem3GCapabilitySwitch"/>
     </PreferenceScreen>
 
    <com.android.settings.gemini.NetworkModePreference
        android:key="gsm_umts_preferred_network_mode_key"
        android:title="@string/gemini_gsm_umts_network_preferences_title"
        android:summary="@string/gemini_gsm_umts_network_preferneces_summary"
        android:entries="@array/gsm_umts_network_preferences_choices"
        android:entryValues="@array/gsm_umts_network_preferences_values"
        android:dialogTitle="@string/gemini_gsm_umts_network_preferences_dialogtitle" />
    
    <PreferenceScreen
        android:key="gsm_umts_preferred_network_mode_gemini_key"
        android:title="@string/gemini_gsm_umts_network_preferences_title"
        android:summary="@string/gemini_gsm_umts_network_preferneces_summary"
        android:fragment="com.android.settings.gemini.NetworkModeSettings"/>

                   
      <PreferenceScreen
            android:key="contacts_sim"
            android:title="@string/gemini_contacts_sim_title"
            android:summary="@string/gemini_contacts_sim_summary" > 
       </PreferenceScreen> 

    </PreferenceCategory>
</PreferenceScreen>
